org.richfaces.component

## Class AbstractMessages

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIMessages
      - - org.richfaces.component.AbstractMessages

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, ClientSideMessage, org.richfaces.ui.common.AjaxOutput
  Direct Known Subclasses:
    UIRichMessages

      public abstract class AbstractMessages
      extends javax.faces.component.UIMessages
      implements org.richfaces.ui.common.AjaxOutput, ClientSideMessage

  The <rich:messages> components works similarly to the <rich:message> component, but can display all the validation messages added for the current view instead of just a single message.

  Author:
    asmirnov@exadel.com

- - ### Field Summary

    - ### Fields inherited from class javax.faces.component.UIMessages

      `COMPONENT_FAMILY, COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMessages()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `isAjaxRendered()`
    `abstract boolean` | `isEscape()`
    `abstract boolean` | `isKeepTransient()`
    `void` | `updateMessages(javax.faces.context.FacesContext context, String clientId)`

    - ### Methods inherited from class javax.faces.component.UIMessages

      `getFamily, getFor, isGlobalOnly, isRedisplay, isShowDetail, isShowSummary, setFor, setGlobalOnly, setRedisplay, setShowDetail, setShowSummary`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.ui.common.AjaxOutput

      `setAjaxRendered, setKeepTransient`

    - ### Methods inherited from interface org.richfaces.component.ClientSideMessage

      `getFor`

- - ### Constructor Detail

    - #### AbstractMessages

          public AbstractMessages()

  - ### Method Detail

    - #### isAjaxRendered

          public abstract boolean isAjaxRendered()

      Specified by:
        `isAjaxRendered` in interface `org.richfaces.ui.common.AjaxOutput`

    - #### isKeepTransient

          public abstract boolean isKeepTransient()

      Specified by:
        `isKeepTransient` in interface `org.richfaces.ui.common.AjaxOutput`

    - #### isEscape

          public abstract boolean isEscape()

    - #### updateMessages

          public void updateMessages(javax.faces.context.FacesContext context,
                            String clientId)

      Specified by:
        `updateMessages` in interface `ClientSideMessage`

Copyright © 2014 JBoss by Red Hat. All rights reserved.